Retrieve all Authentication Providers
Roles
Analytics Events
/v1/users/authentication-providersReturns a list of all Authentication Providers on your tenant.
Analytic events
- USER_AUTHENTICATION_PROVIDER_RETRIEVE_LIST_START
- USER_AUTHENTICATION_PROVIDER_RETRIEVE_LIST_SUCCESS
- USER_AUTHENTICATION_PROVIDER_RETRIEVE_LIST_FAIL
Authorization
bearerAuth In: header
Query Parameters
Range size of returned list.
1001 <= value <= 1000Starting point for the list of entries.
Response Body
application/json
application/json
curl -X GET "https://example.vii.au01.mattr.global/v1/users/authentication-providers"{
"nextCursor": "Y3JlYXRlZEF0PTIwMjAtMDgtMjVUMDY6NDY6MDkuNTEwWiZpZD1hNjZmZmVhNS04NDhlLTQzOWQtODBhNC1kZGE1NWY1M2UzNmM",
"data": [
{
"id": "983c0a86-204f-4431-9371-f5a22e506599",
"redirectUrl": "https://tenant.vii.mattr.global/v1/oauth/authentication/callback",
"url": "http://example.com",
"scope": [
"openid",
"profile",
"email",
"address",
"phone"
],
"clientId": "vJ0SCKchr4XjC0xHNE8DkH6Pmlg2lkCN",
"clientSecret": "***********************************************************6-OjH",
"tokenEndpointAuthMethod": "client_secret_post",
"staticRequestParameters": {
"prompt": "login",
"max_age": 10000
},
"forwardedRequestParameters": [
"login_hint"
],
"claimsToPersist": [
"userId"
]
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Configure an Authentication Provider POST
Configures an Authentication Provider on the tenant. An authentication or identity provider (IdP) is a platform that is typically used to store and manage user accounts on behalf of an organization or a service provider. MATTR VII uses the authentication provider to authenticate end users before issuing them credentials. <Callout> Only one authentication provider can be configured on a tenant. </Callout> The `/.well-known/openid-configuration` endpoint of the Authentication Provider must contain values for the `authorization_endpoint`, `token_endpoint` and `scopes_supported`. ### **Analytic events** * USER_AUTHENTICATION_PROVIDER_CREATE_START * USER_AUTHENTICATION_PROVIDER_CREATE_SUCCESS * USER_AUTHENTICATION_PROVIDER_CREATE_FAIL
Retrieve an Authentication Provider GET
Retrieve an existing Authentication Provider by providing its ID. ### **Analytic events** * USER_AUTHENTICATION_PROVIDER_RETRIEVE_START * USER_AUTHENTICATION_PROVIDER_RETRIEVE_SUCCESS * USER_AUTHENTICATION_PROVIDER_RETRIEVE_FAIL